package sresponse

import (
	"net/http"

	"github.com/tech/sendico/pkg/model"
	emodel "github.com/tech/sendico/server/interface/model"
)

type (
	HandlerFunc               = func(r *http.Request) http.HandlerFunc
	AccountHandlerFunc        = func(r *http.Request, account *model.Account, accessToken *TokenData) http.HandlerFunc
	PendingAccountHandlerFunc = func(r *http.Request, account *model.Account, token *emodel.AccountToken) http.HandlerFunc
)
